Subject: Re: PMTU issues due to TOS field manipulation (for DSCP)

From: Nivedita Singhvi <[email-masked]>
Date: Wed, 10 Dec 2003 12:33:47 -0800

Julian Anastasov wrote:

> 	It can be an option: pmtu_promisc or whatever (default 0).
> We should avoid using TOS as hash key and if the var is 1 we should
> ignore matching the tos keys in ip_rt_frag_needed and ip_rt_redirect.
> By this way, all cache entries between saddr and daddr will be updated, no 
> matter the TOS or even OIF keys. Comments?

This is what I was going to suggest too, but one of the drawbacks
would be needing the user to recompile the distro kernel just
for this..could we keep any fix to this dynamically tunable?

thanks,
Nivedita